OpenNMS API 1.2.9

## org.opennms.netmgt.utils
Class TcpEventProxy.Connection

    java.lang.Object
      org.opennms.netmgt.utils.TcpEventProxy.Connection

Enclosing class:
  TcpEventProxy

public class TcpEventProxy.Connection
extends java.lang.Object

Field Summary
`private java.lang.Thread` `m_rdrThread`
`private java.io.Reader` `m_reader`
`private java.net.Socket` `m_sock`
`private java.io.Writer` `m_writer`

Constructor Summary
`TcpEventProxy.Connection(java.net.InetAddress target, int port)`

Method Summary
`void` `close()`
`protected void` `finalize()`
`java.io.Writer` `getWriter()`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_sock

    private java.net.Socket m_sock

### m_writer

    private java.io.Writer m_writer

### m_reader

    private java.io.Reader m_reader

### m_rdrThread

    private java.lang.Thread m_rdrThread

Constructor Detail

### TcpEventProxy.Connection

    public TcpEventProxy.Connection(java.net.InetAddress target,
                                    int port)
                             throws java.io.IOException

Method Detail

### getWriter

    public java.io.Writer getWriter()

### close

    public void close()

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.